さくらインターネットのMySQLバージョンアップ(4.0->5.1)

先日(つってもだーいぶ前ですが、、)、WordPressのバージョンを2.9に上げよう思って、
管理画面からボチってバージョンアップのボタン押したら、MySQLのバージョンが古くて
バージョンアップ出来ませんでした。
  
4.0のダンプ取って→4.0落として→5.1立てて→5.1にインポート って作業が必要で、
めんどっちいなぁと思いつつ、ひょっとしてそのうちさくらインターネットさんが
自動マイグレートみたいなことしてくれんじゃねーかなとか思ってたのですが、
そんな事にはならないみたいなので、ようやく重い腰を上げてやってみました。。
 
SSHでログインしてmysqldumpで〜ってやろうとしてた矢先、
↓のブログを発見しまして、基本的には↓の手順まんまですw
さくらインターネットのレンタルサーバで WordPress 2.9 へアップグレードできない方へ – Bamboo Studio * バンブースタジオ
 
が、一箇所チョロっとハマりまして。
この業界を日本語でサバイブしてる人はよく直面するであろうウェーブダッシュ問題。。
”〜” が ”?” に化けちまっとるがな的な。
 
↓のインスタンス全体の設定で照合順序が”utf8_general_ci”ってなってるとこを
“utf8_unicode_ci”に変更してやるだけでイイのカナと思ってたんですが、ソレじゃダメで、

 
WordPressで使うDBを選択した後に、右上の操作タブで
照合順序を↓のように”utf8_unicode_ci”にしてあげないとイカンと。
(ujis何チャラってのになってもーてました)

# 自分はアセってたのでコンソールからALTER文叩いたのですが、
# こっちの方が画面から出来るので簡単ですね。
 
しっかし、一回4.0のDB削除してからじゃないと5.1のDB作れないとかイカついわぁ。
戻しの出来ない一発勝負。まだやってない人、、頑張りましょう。。
 
んで、いつもの管理画面からボチってやる感じでWordPressのバージョンを3.03に上げました。
そーんなにイロイロ変わった感は無いですが、きっときろいろ効率化されたり、
バグFIXされたりしてることでしょうw
 
ついでに↓のブログのWP Social Bookmarking LightっていうWordPressのプラグインを使って
WP Social Bookmarking Light | NINXIT-BLOG
Facebookのイイねボタンとか、mixiチェックボタンとか付けてみたり。
 
あとは、某コンテンツ&ユーザー行動マッチ広告サービスが終了ってことで、
2ティアのリンクや広告配信のタグ剥を剥がしました…。さらば…(T_T)
 

WordPress レッスンブック 3.x対応
エビスコム
ソシム
売り上げランキング: 1386

シェアする

  • このエントリーをはてなブックマークに追加

フォローする